package com.tmerclub.cloud.systemtest.data.order;

import com.tmerclub.cloud.product.dto.shopcart.ChangeShopCartItemDTO;
import com.moyuer.cloud.systemtest.api.store.SkuApi;

/**
 * @author Tu
 */
public class ShopCartData {
    public static ChangeShopCartItemDTO getShopCartItem(Long spuId) {
        ChangeShopCartItemDTO changeShopCartItemDTO = new ChangeShopCartItemDTO();
        changeShopCartItemDTO.setCount(1);
        changeShopCartItemDTO.setSkuId(SkuApi.getAllSkuList(spuId).get(0).getSkuId());
        changeShopCartItemDTO.setSpuId(spuId);
        return changeShopCartItemDTO;
    }

    public static ChangeShopCartItemDTO getShopCartItem(Long spuId, Integer count) {
        ChangeShopCartItemDTO changeShopCartItemDTO = new ChangeShopCartItemDTO();
        changeShopCartItemDTO.setCount(count);
        changeShopCartItemDTO.setSkuId(SkuApi.getAllSkuList(spuId).get(0).getSkuId());
        changeShopCartItemDTO.setSpuId(spuId);
        return changeShopCartItemDTO;
    }
}
